Skip to main content
GET
Cost totals of a period

Authorizations

Authorization
string
header
required

Query Parameters

analysis_id
string
Required string length: 1 - 255
code
enum<string>[]
  • llm_cost_usd - llm cost usd
  • tool_cost_usd - tool cost usd
  • compute_cost_usd - compute cost usd
Available options:
llm_cost_usd,
tool_cost_usd,
compute_cost_usd
end
string<date>
model
string
Required string length: 1 - 255
module
string
Required string length: 1 - 50
organization_id
string<uuid>
provider
string
Required string length: 1 - 100
service
string
Required string length: 1 - 50
start
string<date>
workspace_id
string<uuid>

Response

cost_usd
number<double>
required
events
integer
required
input_tokens
integer
required
output_tokens
integer
required
requests
integer
required
start
string<date>
required
end
string<date>
required
previous_cost_usd
number<double>
required
organizations
integer
required
workspaces
integer
required
analyses
integer
required
credits_consumed
integer | null
required